[youtubei.js](../../../../README.md) / [Helpers](../README.md) / YTNodeConstructor

# Interface: YTNodeConstructor\<T\>

Defined in: [src/parser/helpers.ts:310](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/helpers.ts#L310)

## Type Parameters

### T

`T` *extends* [`YTNode`](../classes/YTNode.md) = [`YTNode`](../classes/YTNode.md)

## Constructors

### Constructor

> **new YTNodeConstructor**(`data`): `T`

Defined in: [src/parser/helpers.ts:311](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/helpers.ts#L311)

#### Parameters

##### data

`any`

#### Returns

`T`

## Properties

### type

> `readonly` **type**: `string`

Defined in: [src/parser/helpers.ts:312](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/helpers.ts#L312)
